Bug 1141609 - Enable x2gocleansessions.service by default
Summary: Enable x2gocleansessions.service by default
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: epel-release
Version: epel7
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Michael Stahnke
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1141607
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-15 03:12 UTC by Orion Poplawski
Modified: 2020-11-16 02:08 UTC (History)
13 users (show)

Fixed In Version: epel-release-7-13
Doc Type: Bug Fix
Doc Text:
Clone Of: 1141607
Environment:
Last Closed: 2020-11-16 02:08:47 UTC
Type: Bug


Attachments (Terms of Use)

Description Orion Poplawski 2014-09-15 03:12:42 UTC
+++ This bug was initially created as a clone of Bug #1141607 +++

Description of problem:

x2gocleansessions.service should be enabled by default.  It needs no configuration and does not listen on any network sockets.

Comment 1 Orion Poplawski 2014-09-15 03:13:25 UTC
I really have no idea if EPEL should manage its own set of presets somehow.

Comment 3 Lukáš Nykrýn 2014-09-15 08:19:28 UTC
We are shipping preset file for rhel in rhel-release and I think we should do the same in epel-release.

Comment 4 Kevin Fenzi 2014-09-24 19:24:42 UTC
Well, if we are using the same policy as Fedora (and I don't see why we wouldn't): 

https://fedoraproject.org/wiki/Starting_services_by_default

"If a service does not require configuration to be functional and does not listen on a network socket, it may be enabled by default (but is not required to do so)."

So, just enable it by default if you like? Or am I missing something...

Comment 5 Orion Poplawski 2014-09-24 20:16:57 UTC
According to https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Macroized_scriptlets_.28Fedora_18.2B.29 one does something like:

%post
%systemd_post apache-httpd.service

%preun
%systemd_preun apache-httpd.service

and some other package (systemd in Fedora, rhel-release in RHEL) contains a list of presets as to what services get enabled by default.

Comment 6 Fedora Update System 2020-10-31 20:35:53 UTC
FEDORA-EPEL-2020-94c71540f1 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-94c71540f1

Comment 7 Fedora Update System 2020-11-01 02:16:38 UTC
FEDORA-EPEL-2020-94c71540f1 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-94c71540f1

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-11-16 02:08:47 UTC
FEDORA-EPEL-2020-94c71540f1 has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.